## libapache-mod-musicindex 0.99.0

=== Makefile ===
##
##  Makefile -- Build procedure for mod_musicindex Apache module
##  Autogenerated via ``apxs -n musicindex -g''.
##  Heavily tweaked by Thibaut VARENE.
##  $Id: Makefile,v 1.39 2004/05/27 12:25:14 boudinr Exp $
##
##  @todo check BSD
##  @todo autoconf/automake (i18n/apache2)

#   the tools
CC = gcc
INSTALL = install

ifeq ($(APACHE_VERSION),2)
APXS = apxs2
APACHECTL = apache2ctl
APRCONFIG = apr-config
APRINCDIR = $(shell $(APRCONFIG) --includes)
else
APXS = apxs
APACHECTL = apachectl
endif

#   additional user defines, includes and libraries
#DEF = 
#INC = 
#LIB = 
CFLAGS = -O2 -Wall
DOCROOT = /var/www

#   our own defines
UNAME := $(shell uname)
REGULAR := $(shell if [ ! -z "`uname | grep -i Linux`" ] || \
		[ ! -z "`uname | grep -i SunOS`" ]; then \
		echo Y; else echo N; fi)
INCLUDEDIR = $(shell $(APXS) -q INCLUDEDIR)
LIBEXECDIR = $(shell $(APXS) -q LIBEXECDIR)
LIBS_SHLIB = $(shell $(APXS) -q LIBS_SHLIB)

#   the final shared object
MOD_SO := mod_musicindex.so

#   the intermediate objects
objects := config.o html.o inf.o playlist.o playlist-mp3.o playlist-ogg.o mod_musicindex.o cache.o

#   the default target
all: Makefile.dep $(MOD_SO)

#   compile the DSO file
$(MOD_SO): $(objects)
ifeq ($(REGULAR),Y)
	$(CC) -shared $(CFLAGS) $(DEF) $(LIB) -o $@ $^
else
ifneq ($(LIBS_SHLIB),)
	@$(APXS) -S CC="$(CC)" -S LIBS_SHLIB="$(LIB)" -S CFLAGS="$(CFLAGS)" $(INC) $(DEF) -o $@ -c $^
else
	@$(APXS) -S CC="$(CC)" -S CFLAGS="$(CFLAGS)" $(INC) $(LIB) $(DEF) -o $@ -c $^
endif
endif

#   install the DSO and the other files where needed
install: all
	$(INSTALL) -d $(DESTDIR)$(DOCROOT)/musicindex $(DESTDIR)$(LIBEXECDIR)
	$(INSTALL) -m 0644 musicindex/*.* $(DESTDIR)$(DOCROOT)/musicindex
	$(INSTALL) -m 0644 $(MOD_SO) $(DESTDIR)$(LIBEXECDIR)
	@echo -e "\nDon't forget to edit your httpd.conf (see README for details):\n \
		LoadModule musicindex_module $(DESTDIR)$(LIBEXECDIR)/$(MOD_SO)"

#   how to compile the objects
%.o: %.c %.h mod_musicindex.h
ifeq ($(REGULAR),Y)
	$(CC) $(DEF) $(INC) $(CFLAGS) -o $@ -c $<
else
# that's a dirty hack to avoid rebuilding everything when only one file was changed...
	@$(APXS) -S CC="$(CC)" -S CFLAGS="$(CFLAGS)" $(INC) $(DEF) -o temp.so -c $<
	@rm temp.so
endif

#   dependencies
Makefile.dep: *.c
	@tools/mkdep.sh

#   PHONY targets
.PHONY: doc doc_clean clean dist_clean

#   documentation
doc: doc_clean
	doxygen

#   cleanup
clean: doc_clean
	-rm -f Makefile.dep $(objects) $(MOD_SO) temp.so

doc_clean:
	-rm -rf doc

distclean: clean
	-rm -f *.pws
	
#   PHONY targets
.PHONY: start restart stop

#   the general Apache start/restart/stop procedures
start:
	$(APACHECTL) start
restart:
	$(APACHECTL) graceful
stop:
	$(APACHECTL) stop

#   conditionnal assignements:

ifneq ($(UNAME),Darwin)
CFLAGS += -pedantic
endif

ifeq ($(UNAME),SunOS)
APXS = /usr/apache/bin/apxs
APACHECTL = /usr/apache/bin/apachectl
INSTALL = ginstall
DEF = -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -DEAPI
override CFLAGS += -fPIC
DOCROOT = /var/apache/htdocs
else
ifeq ($(UNAME),Darwin)
DOCROOT = /Library/WebServer/Documents
endif
override CFLAGS += $(shell $(APXS) -q CFLAGS_SHLIB | sed -e "s/-g //" -e "s/-O.//" -e "s/-W[a-z]*//") -DEAPI
endif

ifeq ($(APACHE_VERSION),2)
# piece of shit, apxs2 doesn't declare -fPIC on GNU/Linux. Won't work with gcc < 3.X
override CFLAGS += -std=gnu99 -fPIC
endif

override INC += -I$(INCLUDEDIR) $(APRINCDIR)
override LIB += -lvorbis -lvorbisfile -lid3tag -lmad

-include Makefile.dep

# special debian target to help us prepare the stuff
debian:
	mkdir apache1 apache2
	cp -r musicindex/ tools/ Makefile *.[ch] apache1
	cp -r musicindex/ tools/ Makefile *.[ch] apache2
	
.PHONY: debian

=== debian/changelog ===
libapache-mod-musicindex (0.99.0) unstable; urgency=medium

  * Closes: #250241: Support for apache 2 ?
  * Closes: #250245: impossible to remove this package if apache has
    been removed
  * Closes: #250240: No upstream home page address in copyright file
  * Generated pages rework (XHMTL 1.0 strict, CSS cleanup)
  * First implementation of custom cross-directories playlists
  * Removal of useless defined values
  * Configuration change : use of On/Off-type parameters to enable/disable
    features with .htaccess files.
  * Reworked sort system.
  * Autodetect present CSS and make them available
  * Possibility to choose the default CSS file
  * Better use of AllowOverride options

 -- Thibaut VARENE <varenet@debian.org>  Sat, 29 May 2004 13:30:11 +0200

libapache-mod-musicindex (0.9.6) unstable; urgency=low

  * Fixed a segfault when streaming with apache2
  * Fixed the module signature in apache2
  * If the icecast hostname is missing, the URL hostname will be assumed

 -- Thibaut VARENE <varenet@debian.org>  Fri, 12 Mar 2004 02:00:22 +0100

libapache-mod-musicindex (0.9.5) unstable; urgency=low

  * First dupload (closes: #233245)
  * Deep rewrite and split of the code
  * We now use arrays of function pointers to deal with different file types
  * Stricter function pointers declarations
  * Cache subsystem has been rewritten to behave as a file handler itself
  * Makefile now autogenerates dependencies (quit roughly though)

 -- Thibaut VARENE <varenet@debian.org>  Sun,  8 Feb 2004 22:46:44 +0100

libapache-mod-musicindex (0.9.2) unstable; urgency=low

  * Possibility to use an external icecast server for streaming
  * Bugfix in decoding mp3 genre number in brackets
  * Alternative optimized mp3 genre number detection
  * More Apache2 tweaks and code rewrites
  * Added support for gif file as cover image
  * Added favicon
  * Added LGPL license and copyright to README

 -- Thibaut VARENE <varenet@esiee.fr>  Sun, 25 Jan 2004 18:02:08 +0100

libapache-mod-musicindex (0.9.1) unstable; urgency=low

  * Several minor bugfixes (cache, sorting, and playlist)
  * Improved search results sorting
  * Code rewrites and cleanups (got rid of ascii2uri())
  * First attempt at a better handling of stream requests

 -- Thibaut VARENE <varenet@esiee.fr>  Thu, 25 Dec 2003 16:33:12 +0100

libapache-mod-musicindex (0.9.0) unstable; urgency=low

  * Apache2 ready
  * Cache bugfix on BSD systems (EPERM/EISDIR)
  * Playlist code rewrite (merged 2 functions)
  * Code janitorial (got rid of deprecated ap_log functions)

 -- Thibaut VARENE <varenet@esiee.fr>  Wed, 12 Nov 2003 01:04:39 +0100

libapache-mod-musicindex (0.8.9) unstable; urgency=low

  * New upstream release
  * Preparing Apache 2 compat
  * Removed extra includes
  * New option to name root link
  * Reverted zlib change since libid3tag depends on it
  * Got rid of "-1" since it's a native package

 -- Thibaut VARENE <varenet@esiee.fr>  Thu, 30 Oct 2003 13:20:18 +0100

libapache-mod-musicindex (0.8.8-1) unstable; urgency=low

  * New upstream release
  * Offers field sorting in search mode
  * Enhanced error reporting through Apache logs
  * Makefile rewritten
  * Supports OSX and Solaris

 -- Thibaut VARENE <varenet@esiee.fr>  Mon, 20 Oct 2003 20:16:58 +0200

libapache-mod-musicindex (0.8.7-1) unstable; urgency=low

  * New upstream release
  * Fixes cache locking problem
  * Adds new tag field (genre)
  * Minor bugfixes

 -- Thibaut VARENE <varenet@esiee.fr>  Thu, 16 Oct 2003 00:57:38 +0200

libapache-mod-musicindex (0.8.5-1) unstable; urgency=low

  * New upstream release

 -- Thibaut VARENE <varenet@esiee.fr>  Wed, 16 Jul 2003 03:48:32 +0200

libapache-mod-musicindex (0.7.8-1) unstable; urgency=low

  * New upstream release

 -- Thibaut VARENE <varenet@esiee.fr>  Sat, 28 Jun 2003 03:03:07 +0200

libapache-mod-musicindex (0.7.7-1) unstable; urgency=low

  * Initial Release.
  * Reworked Makefile (compilation & installation procedure).

 -- Thibaut VARENE <varenet@esiee.fr>  Wed, 25 Jun 2003 17:19:38 +0200

=== debian/control ===
Source: libapache-mod-musicindex
Section: web
Priority: optional
Maintainer: Thibaut VARENE <varenet@debian.org>
Build-Depends: debhelper (>> 4.0.0), apache-dev (>= 1.3.0), apache2-dev, libvorbis-dev, libid3tag0-dev, libmad0-dev
Standards-Version: 3.6.1

Package: libapache-mod-musicindex
Architecture: any
Depends: mod-musicindex-common (= ${Source-Version}), apache-common (>= 1.3.0), ${shlibs:Depends}
Description: Browse, stream, download and search through MP3/Ogg files
 mod_musicindex is aimed at being a C implementation of the Perl module
 Apache::MP3 (http://search.cpan.org/dist/Apache-MP3/).
 It allows nice displaying of directories containing MP3 or Ogg Vorbis files,
 including sorting them on various fields, streaming/downloading them,
 constructing playlists and searching.

Package: libapache2-mod-musicindex
Architecture: any
Depends: mod-musicindex-common (= ${Source-Version}), apache2-common, ${shlibs:Depends}
Description: Browse, stream, download and search through MP3/Ogg files
 mod_musicindex is aimed at being a C implementation of the Perl module
 Apache::MP3 (http://search.cpan.org/dist/Apache-MP3/).
 It allows nice displaying of directories containing MP3 or Ogg Vorbis files,
 including sorting them on various fields, streaming/downloading them,
 constructing playlists and searching.

Package: mod-musicindex-common
Architecture: all
Depends: libapache-mod-musicindex  (= ${Source-Version}) | libapache2-mod-musicindex (= ${Source-Version})
Replaces: libapache-mod-musicindex (<< ${Source-Version})
Conflicts: libapache-mod-musicindex (<< ${Source-Version})
Description: Common files for mod-musicindex
 mod_musicindex is aimed at being a C implementation of the Perl module
 Apache::MP3 (http://search.cpan.org/dist/Apache-MP3/).
 It allows nice displaying of directories containing MP3 or Ogg Vorbis files,
 including sorting them on various fields, streaming/downloading them,
 constructing playlists and searching.
 .
 This package includes common files between libapache-mod-musicindex and
 libapache2-mod-musicindex and is useless without any of these.

## libapache-mod-musicindex 0.99.5.1ubuntu1

=== debian/changelog ===
libapache-mod-musicindex (0.99.5.1ubuntu1) hoary; urgency=low

  * migrated from libflac4 from libflac6 
  * Standards Version 3.6.1.1

 -- Charles Majola <charles@ubuntu.com>  Tue, 15 Feb 2005 11:05:16 +0200

libapache-mod-musicindex (0.99.5.1) unstable; urgency=high

  * Fixes overflow on pointer arithmetics that caused server crash.

 -- Thibaut VARENE <varenet@debian.org>  Sat, 16 Oct 2004 12:48:11 +0200

libapache-mod-musicindex (0.99.5) unstable; urgency=high

  * Fixes serious breakage when apache conf doesn't have Port directive
    (closes: #271912)

 -- Thibaut VARENE <varenet@debian.org>  Sat, 18 Sep 2004 12:17:15 +0200

libapache-mod-musicindex (0.99.4) unstable; urgency=medium

  * Closes: #268921: Generates wrong streaming (.m3u) files on https

 -- Thibaut VARENE <varenet@debian.org>  Mon, 30 Aug 2004 00:16:36 +0200

libapache-mod-musicindex (0.99.3.2) unstable; urgency=high

  * Rebuild, reverting the apache2 ABI changes made in my previous NMU
  * Bump apache2 build-dep to (>= 2.0.50-10)

 -- Adam Conrad <adconrad@0c3.net>  Sat, 21 Aug 2004 06:00:15 -0600

libapache-mod-musicindex (0.99.3.1) unstable; urgency=medium

  * Rebuild with bumped build-dependencies for the apache2 LFS
    transition.  (closes: #266179)

 -- Adam Conrad <adconrad@0c3.net>  Tue, 17 Aug 2004 05:51:14 -0600

libapache-mod-musicindex (0.99.3) unstable; urgency=medium

  * Closes: #259255: MP3 handler not working with some specially crafted
    mp3 files

 -- Thibaut Varene <varenet@debian.org>  Tue, 27 Jul 2004 13:41:57 -0400

libapache-mod-musicindex (0.99.2) unstable; urgency=low

  * Added first RSS feed support
  * Cache versionning support
  * Switch to XHTML 1.1 Strict
  * Added FLAC support
  * Fix: display size when requested

 -- Thibaut VARENE <varenet@debian.org>  Sat, 10 Jul 2004 02:43:56 +0200

=== debian/control ===
Source: libapache-mod-musicindex
Section: web
Priority: optional
Maintainer: Thibaut VARENE <varenet@debian.org>
Build-Depends: debhelper (>> 4.0.0), apache-dev (>= 1.3.0), apache2-threaded-dev (>= 2.0.50-10), libvorbis-dev, libid3tag0-dev, libmad0-dev, libflac-dev
Standards-Version: 3.6.1.1

Package: libapache-mod-musicindex
Architecture: any
Depends: mod-musicindex-common (= ${Source-Version}), apache-common (>= 1.3.0), ${shlibs:Depends}
Description: Browse, stream, download and search through MP3/Ogg files
 mod_musicindex is aimed at being a C implementation of the Perl module
 Apache::MP3 (http://search.cpan.org/dist/Apache-MP3/).
 It allows nice displaying of directories containing MP3 or Ogg Vorbis and
 FLAC files, including sorting them on various fields, streaming/downloading
 them, constructing playlists and searching.
 .
 This package contains the module for Apache 1.3.

Package: libapache2-mod-musicindex
Architecture: any
Depends: mod-musicindex-common (= ${Source-Version}), apache2-common, ${shlibs:Depends}
Description: Browse, stream, download and search through MP3/Ogg files
 mod_musicindex is aimed at being a C implementation of the Perl module
 Apache::MP3 (http://search.cpan.org/dist/Apache-MP3/).
 It allows nice displaying of directories containing MP3 or Ogg Vorbis and
 FLAC files, including sorting them on various fields, streaming/downloading
 them, constructing playlists and searching.
 .
 This package contains the module for Apache 2.0.

Package: mod-musicindex-common
Architecture: all
Depends: libapache-mod-musicindex  (= ${Source-Version}) | libapache2-mod-musicindex (= ${Source-Version})
Replaces: libapache-mod-musicindex (<< ${Source-Version})
Conflicts: libapache-mod-musicindex (<< ${Source-Version})
Description: Common files for mod-musicindex
 mod_musicindex is aimed at being a C implementation of the Perl module
 Apache::MP3 (http://search.cpan.org/dist/Apache-MP3/).
 It allows nice displaying of directories containing MP3 or Ogg Vorbis and
 FLAC files, including sorting them on various fields, streaming/downloading
 them, constructing playlists and searching.
 .
 This package includes common files between libapache-mod-musicindex and
 libapache2-mod-musicindex and is useless without any of these.

## libapache-mod-musicindex 0.99.5.3

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 ##  Makefile -- Build procedure for mod_musicindex Apache module
 ##  Autogenerated via ``apxs -n musicindex -g''.
 ##  Heavily tweaked by Thibaut VARENE.
-##  $Id: Makefile,v 1.39 2004/05/27 12:25:14 boudinr Exp $
+##  $Id: Makefile,v 1.41 2004/07/08 18:47:23 boudinr Exp $
 ##
 ##  @todo check BSD
 ##  @todo autoconf/automake (i18n/apache2)
@@ -15,14 +15,20 @@
 APXS = apxs2
 APACHECTL = apache2ctl
 APRCONFIG = apr-config
-APRINCDIR = $(shell $(APRCONFIG) --includes)
+APINCDIR = $(shell $(APRCONFIG) --includes)
+APCFLAGS = $(shell $(APRCONFIG) --cflags | sed -e "s/-g //" -e "s/-O.//" -e "s/-W[a-z]*//")
+APCPPFLAGS = $(shell $(APRCONFIG) --cppflags)
+#APLIBXDIR = $(shell $(APRCONFIG) --installbuilddir)
+APLIBXDIR = $(shell $(APXS) -q LIBEXECDIR)
 else
 APXS = apxs
 APACHECTL = apachectl
+APCFLAGS = $(shell $(APXS) -q CFLAGS_SHLIB | sed -e "s/-g //" -e "s/-O.//" -e "s/-W[a-z]*//")
+APLIBXDIR = $(shell $(APXS) -q LIBEXECDIR)
 endif
 
 #   additional user defines, includes and libraries
-#DEF = 
+#CPPFLAGS = 
 #INC = 
 #LIB = 
 CFLAGS = -O2 -Wall
@@ -31,17 +37,18 @@
 #   our own defines
 UNAME := $(shell uname)
 REGULAR := $(shell if [ ! -z "`uname | grep -i Linux`" ] || \
-		[ ! -z "`uname | grep -i SunOS`" ]; then \
+		[ ! -z "`uname | grep -i SunOS`" ] || \
+		[ ! -z "`uname | grep -i NetBSD`" ]; then \
 		echo Y; else echo N; fi)
-INCLUDEDIR = $(shell $(APXS) -q INCLUDEDIR)
-LIBEXECDIR = $(shell $(APXS) -q LIBEXECDIR)
+INCLUDEDIR = -I$(shell $(APXS) -q INCLUDEDIR)
+LIBEXECDIR = $(APLIBXDIR)
 LIBS_SHLIB = $(shell $(APXS) -q LIBS_SHLIB)
 
 #   the final shared object
 MOD_SO := mod_musicindex.so
 
 #   the intermediate objects
-objects := config.o html.o inf.o playlist.o playlist-mp3.o playlist-ogg.o mod_musicindex.o cache.o
+objects := config.o html.o inf.o playlist.o playlist-flac.o playlist-mp3.o playlist-ogg.o mod_musicindex.o cache.o
 
 #   the default target
 all: Makefile.dep $(MOD_SO)
@@ -49,12 +56,12 @@
 #   compile the DSO file
 $(MOD_SO): $(objects)
 ifeq ($(REGULAR),Y)
-	$(CC) -shared $(CFLAGS) $(DEF) $(LIB) -o $@ $^
+	$(CC) -shared $(CFLAGS) $(CPPFLAGS) $(LIB) -o $@ $^
 else
 ifneq ($(LIBS_SHLIB),)
-	@$(APXS) -S CC="$(CC)" -S LIBS_SHLIB="$(LIB)" -S CFLAGS="$(CFLAGS)" $(INC) $(DEF) -o $@ -c $^
+	@$(APXS) -S CC="$(CC)" -S LIBS_SHLIB="$(LIB)" -S CFLAGS="$(CFLAGS)" $(INC) $(CPPFLAGS) -o $@ -c $^
 else
-	@$(APXS) -S CC="$(CC)" -S CFLAGS="$(CFLAGS)" $(INC) $(LIB) $(DEF) -o $@ -c $^
+	@$(APXS) -S CC="$(CC)" -S CFLAGS="$(CFLAGS)" $(INC) $(LIB) $(CPPFLAGS) -o $@ -c $^
 endif
 endif
 
@@ -69,10 +76,10 @@
 #   how to compile the objects
 %.o: %.c %.h mod_musicindex.h
 ifeq ($(REGULAR),Y)
-	$(CC) $(DEF) $(INC) $(CFLAGS) -o $@ -c $<
+	$(CC) $(CPPFLAGS) $(INC) $(CFLAGS) -o $@ -c $<
 else
 # that's a dirty hack to avoid rebuilding everything when only one file was changed...
-	@$(APXS) -S CC="$(CC)" -S CFLAGS="$(CFLAGS)" $(INC) $(DEF) -o temp.so -c $<
+	@$(APXS) -S CC="$(CC)" -S CFLAGS="$(CFLAGS)" $(INC) $(CPPFLAGS) -o temp.so -c $<
 	@rm temp.so
 endif
 
@@ -118,23 +125,25 @@
 APXS = /usr/apache/bin/apxs
 APACHECTL = /usr/apache/bin/apachectl
 INSTALL = ginstall
-DEF = -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -DEAPI
+CPPFLAGS = -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -DEAPI
 override CFLAGS += -fPIC
 DOCROOT = /var/apache/htdocs
 else
 ifeq ($(UNAME),Darwin)
 DOCROOT = /Library/WebServer/Documents
 endif
-override CFLAGS += $(shell $(APXS) -q CFLAGS_SHLIB | sed -e "s/-g //" -e "s/-O.//" -e "s/-W[a-z]*//") -DEAPI
+override CFLAGS += $(APCFLAGS)
+override CPPFLAGS += -DEAPI
 endif
 
 ifeq ($(APACHE_VERSION),2)
 # piece of shit, apxs2 doesn't declare -fPIC on GNU/Linux. Won't work with gcc < 3.X
-override CFLAGS += -std=gnu99 -fPIC
+override CFLAGS += $(APCFLAGS) -std=gnu99 -fPIC
+override CPPFLAGS += $(APCPPFLAGS)
 endif
 
-override INC += -I$(INCLUDEDIR) $(APRINCDIR)
-override LIB += -lvorbis -lvorbisfile -lid3tag -lmad
+override INC += $(INCLUDEDIR) $(APINCDIR)
+override LIB += -lvorbis -lvorbisfile -lid3tag -lmad -lFLAC
 
 -include Makefile.dep

=== debian/changelog ===
libapache-mod-musicindex (0.99.5.3) unstable; urgency=medium

  * Closes: #304732: IceCast Stream URLs pick up https from
    ap_http_method

 -- Thibaut VARENE <varenet@debian.org>  Sun, 17 Apr 2005 14:24:25 +0200

libapache-mod-musicindex (0.99.5.2) unstable; urgency=low

  * Build against new libFLAC (closes: #289388)

 -- Thibaut VARENE <varenet@debian.org>  Sun,  9 Jan 2005 14:07:40 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: web
 Priority: optional
 Maintainer: Thibaut VARENE <varenet@debian.org>
-Build-Depends: debhelper (>> 4.0.0), apache-dev (>= 1.3.0), apache2-threaded-dev (>= 2.0.50-10), libvorbis-dev, libid3tag0-dev, libmad0-dev, libflac-dev
-Standards-Version: 3.6.1.1
+Build-Depends: debhelper (>> 4.0.0), apache-dev (>= 1.3.0), apache2-threaded-dev (>= 2.0.50-10), libvorbis-dev, libid3tag0-dev, libmad0-dev, libflac-dev (>= 1.1.1-3)
+Standards-Version: 3.6.1
 
 Package: libapache-mod-musicindex
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# We don't want CVS stuff in our package
export DH_ALWAYS_EXCLUDE=CVS

# This has to be exported to make some magic below work.
export DH_OPTIONS

#package=libapache-mod-musicindex

build: build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) debian
	cd apache1 && $(MAKE)
	cd apache2 && $(MAKE) APACHE_VERSION=2
	#/usr/bin/docbook-to-man debian/libapache-mod-musicindex.sgml > libapache-mod-musicindex.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	#-$(MAKE) distclean
	
	rm -rf apache1 apache2
	
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	#$(MAKE)  install
	cd apache1 && $(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	cd apache2 && $(MAKE) install APACHE_VERSION=2 DESTDIR=$(CURDIR)/debian/tmp

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir -i
	dh_testroot -i
	dh_installchangelogs -i
#	dh_installdebconf -i
	dh_installdocs -i
	dh_install -i
#	dh_installexamples -i
#	dh_installmenu -i
#	dh_installlogrotate -i
#	dh_installemacsen -i
#	dh_installpam -i
#	dh_installmime -i
#	dh_installinit -i
#	dh_installcron -i
#	dh_installman -i
#	dh_installinfo -i
#	dh_undocumented -i
	dh_link -i
#	dh_strip -i
	dh_compress -i
	dh_fixperms -i
#	dh_makeshlibs -i
	dh_installdeb -i
#	dh_perl -i
#	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir -a
	dh_testroot -a
#	dh_installchangelogs -a
#	dh_installdocs -a
#	dh_installexamples -a
	dh_install -a
#	dh_installmenu -a
#	dh_installdebconf -a
#	dh_installlogrotate -a
#	dh_installemacsen -a
#	dh_installpam -a
#	dh_installmime -a
#	dh_installinit -a
#	dh_installcron -a
#	dh_installinfo -a
#	dh_installman -a
	dh_link -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
#	dh_perl -a
#	dh_python -a
#	dh_makeshlibs -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## libapache-mod-musicindex 0.99.5.3ubuntu1

=== debian/changelog ===
libapache-mod-musicindex (0.99.5.3ubuntu1) breezy; urgency=low

  * Resynchronise with Debian.

 -- Stephan Hermann <sh@sourcecode.de>  Wed, 20 Jul 2005 23:09:53 +0200

## libapache-mod-musicindex 0.99.5.4

=== debian/changelog ===
libapache-mod-musicindex (0.99.5.4) unstable; urgency=low

  * Closes: #325946: depends on a FLAC library no longer available in
    unstable

 -- Thibaut VARENE <varenet@debian.org>  Fri,  9 Sep 2005 19:27:11 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: web
 Priority: optional
 Maintainer: Thibaut VARENE <varenet@debian.org>
-Build-Depends: debhelper (>> 4.0.0), apache-dev (>= 1.3.0), apache2-threaded-dev (>= 2.0.50-10), libvorbis-dev, libid3tag0-dev, libmad0-dev, libflac-dev (>= 1.1.1-3)
+Build-Depends: debhelper (>> 4.0.0), apache-dev (>= 1.3.0), apache2-threaded-dev (>= 2.0.50-10), libvorbis-dev, libid3tag0-dev, libmad0-dev, libflac-dev (>= 1.1.2-1)
 Standards-Version: 3.6.1
 
 Package: libapache-mod-musicindex

## libapache-mod-musicindex 1.3.7

=== debian/changelog ===
libapache-mod-musicindex (1.3.7-2) unstable; urgency=low

  * B-Dep on apache2-threaded-dev

 -- Thibaut VARENE <varenet@debian.org>  Sat, 07 Apr 2012 15:00:07 +0200

libapache-mod-musicindex (1.3.7-1) unstable; urgency=low

  * New upstream release
  * Enable hardened build
  * Fix lintian warnings
  * Remove Apache 1.3 cruft from debian packaging

 -- Thibaut VARENE <varenet@debian.org>  Sat, 07 Apr 2012 11:02:39 +0200

libapache-mod-musicindex (1.3.6-1) unstable; urgency=low

  * Enable building and linking against libmp4v2
  * Merge patch from Suart Caie (Closes: #640025)
  * Update standards and rules

 -- Thibaut VARENE <varenet@debian.org>  Mon, 31 Oct 2011 18:41:50 +0100

libapache-mod-musicindex (1.3.5-1) unstable; urgency=low

  * Fix Content-Disposition for playlists (Closes: #595232)

 -- Thibaut VARENE <varenet@debian.org>  Thu, 02 Sep 2010 14:31:22 +0200

libapache-mod-musicindex (1.3.4-1) unstable; urgency=low

  * Make MySQL cache faster
  * Add de translation (Closes: #583926)

 -- Thibaut VARENE <varenet@debian.org>  Sun, 06 Jun 2010 19:36:29 +0200

libapache-mod-musicindex (1.3.3-1) unstable; urgency=low

  * Fix typo that broke local RSS icon
  * Fix incorrect maths in file size computation

 -- Thibaut VARENE <varenet@debian.org>  Wed, 26 May 2010 16:07:03 +0200

libapache-mod-musicindex (1.3.2-1) unstable; urgency=low

  * Add nl translation

 -- Thibaut VARENE <varenet@debian.org>  Sun, 23 May 2010 21:56:50 +0200

libapache-mod-musicindex (1.3.1-1) unstable; urgency=medium

  * Fix missing checks in flat file cache (Closes: #568118)
  * Fix mysql cache's directory recording logic

 -- Thibaut VARENE <varenet@debian.org>  Mon, 15 Feb 2010 12:46:07 +0100

libapache-mod-musicindex (1.3.0-1) unstable; urgency=low

  * Implement the (experimental) mysql cache backend
  * Fix size output during recursive search
  * Fix showing Download List without support for tarball in custom list
  * Update autotools (Closes: #558569)

 -- Thibaut VARENE <varenet@debian.org>  Fri, 08 Jan 2010 13:18:00 +0100

libapache-mod-musicindex (1.2.5-1) unstable; urgency=low

  * Fix a couple bugs:
    - cookie overwriting
    - IE7 playlist streaming
    - broken RSS/Podcast
    - Handling of some broken MP3 files (Closes: #502149)
    - .htaccess config handling
  * Compute tarball size to be sent to the browser
  * Make pretty foldres a runtime option

 -- Thibaut VARENE <varenet@debian.org>  Mon, 16 Feb 2009 00:22:12 +0100

libapache-mod-musicindex (1.2.2-3) unstable; urgency=medium

   * Closes: #494857: Wrong Alias directive in configuration file

 -- Thibaut VARENE <varenet@debian.org>  Thu, 14 Aug 2008 21:04:00 +0200

libapache-mod-musicindex (1.2.2-2) unstable; urgency=low

   * The "lazy bastard won't roll out a new release just for translation" repack
   * pt-br translation (Closes: #479641)

 -- Thibaut VARENE <varenet@debian.org>  Thu, 24 Jul 2008 11:14:40 +0200

libapache-mod-musicindex (1.2.2-1) unstable; urgency=low

  * New upstream release
  * Add a summary footer at the end of the songs table
  * Fix some bugs (wrong Download All in search results, bogus mp3 metadata in
    some files)
  * Improve the stylesheet a little bit

 -- Thibaut VARENE <varenet@debian.org>  Sun, 30 Mar 2008 20:44:40 +0200

libapache-mod-musicindex (1.2.1-1) unstable; urgency=low

  * New upstream release
  * Fix 2 minor bugs (single file download and Select panel display)

 -- Thibaut VARENE <varenet@debian.org>  Wed, 22 Aug 2007 14:38:48 +0200

libapache-mod-musicindex (1.2.0-2) unstable; urgency=low

  * Rebuild against FLAC 1.1.4 (Closes: #426652)
  * Suppress apache 1.3 bits, since it's been removed from unstable

 -- Thibaut VARENE <varenet@debian.org>  Thu, 14 Jun 2007 15:42:48 +0200

libapache-mod-musicindex (1.2.0-1) unstable; urgency=low

  * New upstream release
  * Song List now shows filenames (Closes: #416933)
  * Major code rewrite, most "palpable" changes are major speedup and reduced
    memory usage
  * Fixed a memory leak in output-tarball module
  * Fixed alphanumerical sorting of directories
  * Fixed gettext support for apache2
  * Workaround buggy libarchive build
  * Added Album to default fields
  * Added Italian translation
  * Added new status icons
  * More details in the upstream changelog

 -- Thibaut VARENE <varenet@debian.org>  Thu, 24 May 2007 18:27:01 +0200

libapache-mod-musicindex (1.1.5-2) unstable; urgency=low

  * Fix missing mo files (closes: #375596)

 -- Thibaut VARENE <varenet@debian.org>  Sun, 11 Mar 2007 22:08:22 +0100

libapache-mod-musicindex (1.1.5-1) unstable; urgency=low

  * Fix gettext and enforce UTF-8 codeset
  * Convert all "submit" inputs to buttons, making their content translatable
  * Minor CSS improvements

 -- Thibaut VARENE <varenet@debian.org>  Sun, 11 Mar 2007 21:19:31 +0100

libapache-mod-musicindex (1.1.4-1) unstable; urgency=medium

  * Allow local "valid-*" icons (closes: #385619)
  * Document cookie limitations (closes: #388440) and local icons trick
  * Get rid of most <img> tags, replaced with CSS (closes: #381593)

 -- Thibaut VARENE <varenet@debian.org>  Sun, 18 Feb 2007 15:39:09 +0100

libapache-mod-musicindex (1.1.3-4) unstable; urgency=medium

  * apache2-common -> apache2.2-common

 -- Thibaut VARENE <varenet@debian.org>  Sun, 29 Oct 2006 00:15:39 +0200

libapache-mod-musicindex (1.1.3-3) unstable; urgency=medium

  * The "I promise I'll test fixes harder" release

 -- Thibaut VARENE <varenet@debian.org>  Sat, 28 Oct 2006 22:43:32 +0200

libapache-mod-musicindex (1.1.3-2) unstable; urgency=medium

  * Really fix the build :P

 -- Thibaut VARENE <varenet@debian.org>  Sat, 28 Oct 2006 18:22:14 +0200

libapache-mod-musicindex (1.1.3-1) unstable; urgency=low

  * Fix configure script for apache2
  * Acknowledging NMU from Axel Beckert (Closes: #391025)

 -- Thibaut VARENE <varenet@debian.org>  Sat, 28 Oct 2006 15:35:44 +0200

libapache-mod-musicindex (1.1.2-1.1) unstable; urgency=low



=== debian/control ===
Source: libapache-mod-musicindex
Section: httpd
Priority: optional
Maintainer: Thibaut VARENE <varenet@debian.org>
Build-Depends: debhelper (>> 7.0.0), apache2-threaded-dev, libvorbis-dev, libid3tag0-dev, libmad0-dev, libflac-dev, libarchive-dev, libmysqlclient-dev, libmp4v2-dev
Standards-Version: 3.9.3
Homepage: http://www.parisc-linux.org/~varenet/musicindex/

Package: libapache2-mod-musicindex
Architecture: any
Depends: mod-musicindex-common (= ${source:Version}), apache2.2-common, ${shlibs:Depends}, ${misc:Depends}
Description: Browse, stream, download and search through MP3/Ogg/FLAC/MP4 files
 mod_musicindex is aimed at being a C alternative to the Perl module
 Apache::MP3 (http://search.cpan.org/dist/Apache-MP3/).
 It allows nice displaying of directories containing MP3, Ogg Vorbis, FLAC or
 MP4/AAC audio files, including sorting them on various fields, streaming and
 downloading them, or constructing playlists and searching.
 .
 This package contains the module for Apache 2.2.

Package: mod-musicindex-common
Section: web
Architecture: all
Depends: ${misc:Depends}
Recommends: libapache2-mod-musicindex
Description: Common files for mod-musicindex
 mod_musicindex is aimed at being a C alternative to the Perl module
 Apache::MP3 (http://search.cpan.org/dist/Apache-MP3/).
 It allows nice displaying of directories containing MP3 or Ogg Vorbis and
 FLAC files, including sorting them on various fields, streaming/downloading
 them, constructing playlists and searching.
 .
 This package includes platform independent data for libapache2-mod-musicindex
 and is useless without it.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CONFIGURE_FLAGS = --host=$(DEB_HOST_GNU_TYPE)\
	--build=$(DEB_BUILD_GNU_TYPE)\
	--prefix=/usr\
	--mandir=\$${prefix}/share/man\
	--infodir=\$${prefix}/share/info \
	$(shell dpkg-buildflags --export=configure)

config.status: build-2.2/config.status

build-2.2/config.status: configure
	dh_testdir
	-mkdir build-2.2
	cd build-2.2 && CFLAGS="$(CFLAGS)" ../configure $(CONFIGURE_FLAGS) --with-apxs=apxs2 && make -C po update-gmo

#Architecture 
build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp

build-stamp:  config.status
	dh_testdir

	# Add here commands to compile the arch part of the package.
	$(MAKE) -C build-2.2

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	-rm -rf build-2.2

	dh_clean

install: build-stamp
	dh_testdir
	dh_testroot
	dh_prep -s 
	dh_installdirs -s

	# Add here commands to install the arch part of the package into 
	# debian/tmp.
	$(MAKE) -C build-2.2 install DESTDIR=$(CURDIR)/debian/tmp

	dh_install

# Must not depend on anything. This is to be called by
# binary-arch/binary-indep
# in another 'make' thread.
binary-common:
	dh_installexamples
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate	
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress 
	dh_fixperms
#	dh_perl
#	dh_python
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb
# Build architecture independant packages using the common target.
binary-indep: build install
	dh_testdir -i
	dh_testroot -i
	dh_installchangelogs -i ChangeLog
	dh_installdocs -i README UPGRADING debian/README.Debian BUGS
	$(MAKE) -f debian/rules DH_OPTIONS=-i binary-common

# Build architecture dependant packages using the common target.
binary-arch: build install
	dh_testdir -a
	dh_testroot -a
	$(MAKE) -f debian/rules DH_OPTIONS=-a binary-common

binary: binary-arch binary-indep
.PHONY: build build-arch build-indep clean binary-indep binary-arch binary install

=== debian/watch ===
version=3

# <Webpage URL> <string match>
http://www.parisc-linux.org/~varenet/musicindex/ mod_musicindex-(.*)\.tar\.gz

## libapache-mod-musicindex 1.4.1

=== debian/changelog ===
libapache-mod-musicindex (1.4.1-4) unstable; urgency=medium

  * QA upload.

  [ наб ]
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (Closes: #1049515)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/rules (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * No tab in license text (routine-update)
  * watch file standard 4 (routine-update)
  * d/rules: no sequencer -> dh
  * d/musicindex.conf: Order allow,deny/Allow from all
                    -> Require all granted
    (lintian apache2-deprecated-auth-config)
  * obsolete-url-in-packaging http://search.cpan.org/dist/Apache-MP3/
  * d/copyright: DEP-5
  * Fix time_t formatting

  [ Helge Kreutzmann ]
  * [INTL:de] updated German po file translation (Closes: #978116)

  [ Andreas Tille ]
  * Do not Build-Depend dpkg-dev
  * Remove copy of mod_musicindex.so before dh_missing call
    Closes: #968170

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Sun, 08 Dec 2024 17:51:32 +0100

libapache-mod-musicindex (1.4.1-3.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Tue, 05 Jan 2021 01:12:58 +0100

libapache-mod-musicindex (1.4.1-3) unstable; urgency=medium

  * QA upload
  * Disable MP4 support, libmp4v2 is scheduled for removal

 -- Moritz Muehlenhoff <jmm@debian.org>  Fri, 01 Feb 2019 04:04:20 +0100

libapache-mod-musicindex (1.4.1-2) unstable; urgency=medium

  * QA upload.
  * Set Maintainer to Debian QA Group.  (See: #830768)
  * Switch to B-D: default-libmysqlclient-dev.  (Closes: #845862)
  * Build with dh_autoreconf.  (Closes: #754414)

 -- Andreas Beckmann <anbe@debian.org>  Sat, 10 Dec 2016 13:58:32 +0100

libapache-mod-musicindex (1.4.1-1) unstable; urgency=low

  * New upstream release (Closes: #718787, #725574)

 -- Thibaut VARENE <varenet@debian.org>  Tue, 09 Apr 2013 14:35:34 +0200

libapache-mod-musicindex (1.4.0-1) unstable; urgency=low

  * New upstream release
  * Initial support for Apache 2.4 (Closes: #666834)

 -- Thibaut VARENE <varenet@debian.org>  Sun, 14 Oct 2012 16:23:37 +0200

=== debian/control ===
Source: libapache-mod-musicindex
Section: httpd
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-apache2 | apache2-dev,
 apache2-dev | apache2-threaded-dev,
 libvorbis-dev,
 libid3tag0-dev,
 libmad0-dev,
 libflac-dev,
 libarchive-dev,
 default-libmysqlclient-dev,
Standards-Version: 4.7.0
Homepage: http://hacks.slashdirt.org/musicindex/
Rules-Requires-Root: no

Package: libapache2-mod-musicindex
Architecture: any
Depends: mod-musicindex-common (>= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Browse, stream, download and search through MP3/Ogg/FLAC files
 mod_musicindex is aimed at being a C alternative to the Perl module
 Apache::MP3 (https://metacpan.org/pod/Apache::MP3).
 It allows nice displaying of directories containing MP3, Ogg Vorbis or FLAC
 audio files, including sorting them on various fields, streaming and
 downloading them, or constructing playlists and searching.
 .
 This package contains the module for Apache 2.

Package: mod-musicindex-common
Section: web
Architecture: all
Depends: ${misc:Depends}
Recommends: libapache2-mod-musicindex
Description: Common files for mod-musicindex
 mod_musicindex is aimed at being a C alternative to the Perl module
 Apache::MP3 (https://metacpan.org/pod/Apache::MP3).
 It allows nice displaying of directories containing MP3 or Ogg Vorbis and
 FLAC files, including sorting them on various fields, streaming/downloading
 them, constructing playlists and searching.
 .
 This package includes platform independent data for libapache2-mod-musicindex
 and is useless without it.

=== debian/rules ===
--- 
+++ 
@@ -21,12 +21,13 @@
 	--infodir=\$${prefix}/share/info \
 	$(shell dpkg-buildflags --export=configure)
 
-config.status: build-2.2/config.status
+config.status: build/config.status
 
-build-2.2/config.status: configure
+build/config.status: configure
 	dh_testdir
-	-mkdir build-2.2
-	cd build-2.2 && CFLAGS="$(CFLAGS)" ../configure $(CONFIGURE_FLAGS) --with-apxs=apxs2 && make -C po update-gmo
+	-mkdir build
+	dh_autoreconf
+	cd build && ../configure $(CONFIGURE_FLAGS) --with-apxs=apxs2 && make -C po update-gmo
 
 #Architecture 
 build: build-arch build-indep
@@ -37,7 +38,7 @@
 	dh_testdir
 
 	# Add here commands to compile the arch part of the package.
-	$(MAKE) -C build-2.2
+	$(MAKE) -C build
 
 	touch build-stamp
 
@@ -47,8 +48,8 @@
 	rm -f build-stamp
 
 	# Add here commands to clean up after the build process.
-	-rm -rf build-2.2
-
+	-rm -rf build
+	dh_autoreconf_clean
 	dh_clean
 
 install: build-stamp
@@ -59,9 +60,10 @@
 
 	# Add here commands to install the arch part of the package into 
 	# debian/tmp.
-	$(MAKE) -C build-2.2 install DESTDIR=$(CURDIR)/debian/tmp
+	$(MAKE) -C build install DESTDIR=$(CURDIR)/debian/tmp
 
 	dh_install
+	dh_apache2
 
 # Must not depend on anything. This is to be called by
 # binary-arch/binary-indep

=== debian/watch ===
version=4

# <Webpage URL> <string match>
http://hacks.slashdirt.org/musicindex/ mod_musicindex-(.*)\.tar\.gz
